{% extends "base.html" %}
{% from "_macros.html" import render_field_with_errors, render_remember_forgot, render_field %}

{% block content %}

<div class="card login-form">
    <div class="card-header">
        <h2 class="text-center">Sign in</h2>
    </div>
    <div class="card-body">
    <form action="{{ url_for_security('login') }}" method="POST" name="login_user_form">
        {{ login_user_form.hidden_tag() }}

        {{ render_field_with_errors(login_user_form.email,
                                    placeholder='username',
                                    required="required",
                                    class="form-control",
                                    autofocus=True) }}
        {{ render_field_with_errors(login_user_form.password,
                                    placeholder=login_user_form.password.label.text,
                                    required="required",
                                    class="form-control",
                                    autocomplete="off") }}
        {{ render_field(login_user_form.submit,
                        class="btn btn-primary btn-block") }}
        {{ render_remember_forgot(login_user_form.remember,
                                  render_forgot=False,
                                  class="pull-left checkbox-inline") }}
    </form>
    </div>
    <div class="card-footer">
        {% if security.registerable %}
        <div class="d-flex justify-content-center links">
            Don't have an account? <a href="{{ url_for_security('register') }}" class="ml-2">Sign Up</a>
        </div>
        {% endif %}
        {% if security.recoverable %}
        <div class="d-flex justify-content-center">
            <a href="{{ url_for_security('forgot_password') }}">Forgot your password?</a>
        </div>
        {% endif %}
    </div>
</div>

{% endblock %}
